<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@mipmap/settings_bg_img"
        android:visibility="gone" />

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/view"
        android:orientation="vertical"
        android:paddingTop="16dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="12dp"
            android:layout_marginBottom="16dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="40dp"
                android:layout_weight="1"
                android:background="@drawable/drw_search_layout_bg"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginStart="16dp"
                    android:src="@drawable/search_edit_icon" />

                <EditText
                    android:id="@+id/searchEdit"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="8dp"
                    android:layout_marginEnd="8dp"
                    android:layout_weight="1"
                    android:background="@null"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:hint="@string/enter_keywords"
                    android:imeOptions="actionSearch"
                    android:singleLine="true"
                    android:textSize="14dp" />

                <RelativeLayout
                    android:id="@+id/deleteInputBtn"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:visibility="gone">

                    <ImageView
                        android:layout_width="24dp"
                        android:layout_height="24dp"
                        android:layout_centerInParent="true"
                        android:src="@drawable/cha_icon" />
                </RelativeLayout>
            </LinearLayout>

            <TextView
                android:id="@+id/cancelBtn"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="16dp"
                android:fontFamily="@font/regular_font"
                android:gravity="center"
                android:text="@string/cancel"
                android:textColor="@color/white_80"
                android:textSize="14dp" />
        </LinearLayout>

        <FrameLayout
            android:id="@+id/frame_ad"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="12dp" />

        <LinearLayout
            android:id="@+id/loadingLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:visibility="gone">

            <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:indeterminateTint="@color/green"
                android:progressBackgroundTint="@color/green"
                android:progressTint="@color/green" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/no_content_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/no_content_iv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/no_content_img" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:layout_marginEnd="32dp"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:text="@string/no_found"
                android:textSize="14dp" />

        </LinearLayout>

        <androidx.core.widget.NestedScrollView
            android:id="@+id/contentScrollView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone">

            <LinearLayout
                android:id="@+id/content_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="18dp"
                android:layout_marginEnd="18dp"
                android:orientation="vertical" />

        </androidx.core.widget.NestedScrollView>

        <LinearLayout
            android:id="@+id/searchSuggestionsLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="18dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="18dp"
            android:orientation="vertical"
            android:visibility="gone">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/searchSuggestionsRv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:overScrollMode="never"
                android:scrollbars="none"
                tools:itemCount="1"
                tools:listitem="@layout/search_suggestions_adapter_item" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/historyLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="12dp"
            android:orientation="vertical"
            android:visibility="visible">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:fontFamily="@font/bold_font_italic"
                    android:text="@string/history"
                    android:textColor="@color/white_60"
                    android:textSize="14dp" />

                <RelativeLayout
                    android:id="@+id/delete_history_btn"
                    android:layout_width="40dp"
                    android:layout_height="40dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:src="@drawable/delete_icon" />

                </RelativeLayout>
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/historyRv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:overScrollMode="never"
                android:scrollbars="none" />

        </LinearLayout>

    </LinearLayout>

</RelativeLayout>